Subject: bug#11732: 24.1; Microsoft IME Japanese input problem

From: Fujii Hironori <[email-masked]>
Date: Mon, 9 Mar 2015 11:13:43 +0900

On Sat, Mar 7, 2015 at 5:29 AM, Eli Zaretskii <[email-masked]> wrote:
> Unfortunately, it looks like that change has a devastating effect on
> dialog boxes.  Try clicking File->Open File, and then click anywhere
> inside the file selection dialog that opens: the dialog will disappear
> from the display!

I don't see such problem. I'm testing on Windows 7.
Could you tell me your Windows version.

This is my environment:

  In GNU Emacs 25.0.50.2 (x86_64-unknown-cygwin)
   of 2015-03-09 on win7-pc
  Repository revision: 6b134bcba9de5605086ee9382c0be13174480cac
  Windowing system distributor `Microsoft Corp.', version 6.1.7601
  Configured using:
   `configure --prefix=/cygdrive/c/home/fujii/opt/emacs --with-w32'

I applied a following patch to test:

diff --git a/src/w32fns.c b/src/w32fns.c
index 6abb433..685d30c 100644
--- a/src/w32fns.c
+++ b/src/w32fns.c
@@ -3330,7 +3330,7 @@ w32_wnd_proc (HWND hwnd, UINT msg, WPARAM
wParam, LPARAM lParam)
  dialog boxes, such as the file selection dialog or font
  selection dialog.  So something else is needed to fix the
  former without breaking the latter.  See bug#11732.  */
-      break;
+      goto dflt;

     case WM_IME_ENDCOMPOSITION:
       ignore_ime_char = 0;